# ![ml5](https://user-images.githubusercontent.com/10605821/41332516-2ee26714-6eac-11e8-83e4-a40b8761e764.png)

[![CircleCI](https://img.shields.io/circleci/project/github/RedSparr0w/node-csgo-parser.svg?style=flat-square)](https://circleci.com/gh/ITPNYU/ml5) [![Version](https://img.shields.io/npm/v/ml5.svg?style=flat-square)](https://www.npmjs.com/package/ml5) 
[![Twitter Follow](https://img.shields.io/twitter/follow/espadrine.svg?style=social&label=Follow)](https://twitter.com/ml5js)



**_This project is currently in development._**

## Friendly machine learning for the web!

ml5.js aims to make machine learning accessible to a broad audience of artists, creative coders, and students. The library provides access to machine learning algorithms and models in the browser, building on top of [TensorFlow.js](https://js.tensorflow.org/) with no other external dependencies.

The library is supported by code examples, tutorials, and sample data sets with an emphasis on ethical computing. Bias in data, stereotypical harms, and responsible crowdsourcing are part of the documentation around data collection and usage.

ml5.js is heavily inspired by [Processing](https://processing.org/) and [p5.js](https://p5js.org/).

## Usage

Download the [full](https://raw.githubusercontent.com/ml5js/ml5-library/master/dist/ml5.js), [minified](https://raw.githubusercontent.com/ml5js/ml5-library/master/dist/ml5.min.js) or use the online version and add it to the head section of your HTML document:

```javascript
<script src="ml5.min.js" type="text/javascript"></script>
```
or 
```javascript
<script src="https://unpkg.com/ml5" type="text/javascript"></script>
```

## Resources

- [Getting Started](https://ml5js.org/docs/getting-started)
- [API Reference](https://ml5js.org/docs/ImageClassifier)
- [Examples](https://ml5js.org/docs/quick-start)
- [Learn](https://ml5js.org/docs/glossary-machine-learning)
- [Experiments](https://ml5js.org/en/experiments)

## Standalone Examples

You can find a collection of standalone examples in this repository: [github.com/ml5js/ml5-examples](https://github.com/ml5js/ml5-examples) 

These examples are meant to serve as an introduction to the library and machine learning concepts.

## Contributing

See [CONTRIBUTING](CONTRIBUTING.md)








